<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Reservation | QR Code</title>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/flag-icon-css/3.5.0/css/flag-icon.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/css/all.min.css">
</head>
<style>
    @page {
        size: A4;
        margin: 0;
        padding: 0;
    }

    html, body {
        size: A4;
        width: 210mm;
        height: 297mm;
        margin: 0;
        padding: 0;

        -webkit-print-color-adjust: exact;

        font-family: 'Helvetica', 'Arial', sans-serif;
    }

    body {
        /* 297mm - 2 * 15mm */
        height: 267mm;
        padding: 15mm 0;
    }


    .container {
        width: 100%;
        -moz-box-sizing: border-box;
        box-sizing: border-box;

        /* 2 * 1mm */
        padding: 0 1mm 0 2mm;
        margin: 0 auto;
    }

    .row {
        margin: 0 -1mm;
    }

    .row:after {
        content: '';
        display: table;
        clear: both;
    }

    .row [class^='col'] {
        position: relative;
        min-height: 1mm;
        padding: 0 1mm;
        float: left;
    }


    .col-6 {
        width: 50%;
        /* 2 * 1mm */
        padding-left: 2mm;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
    }

    .col-12 {
        width: 100%;
        /* 2 * 1mm */
        padding-left: 2mm;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
    }


    .mt-0 {
        margin-top: 0 !important;
    }

    .ml-0 {
        margin-left: 0 !important;
    }

    .mr-0 {
        margin-right: 0 !important;
    }

    .mb-0 {
        margin-bottom: 0 !important;
    }


    .mt-1 {
        margin-top: 1mm !important;
    }

    .ml-1 {
        margin-left: 1mm !important;
    }

    .mr-1 {
        margin-right: 1mm !important;
    }

    .mb-1 {
        margin-bottom: 1mm !important;
    }


    .mt-2 {
        margin-top: 2mm !important;
    }

    .ml-2 {
        margin-left: 2mm !important;
    }

    .mr-2 {
        margin-right: 2mm !important;
    }

    .mb-2 {
        margin-bottom: 2mm !important;
    }


    .container-text-ellipsis {
        display: block;

        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }


    .card-container {
        display: table;
        margin: 0 auto;
    }

    .card {
        display: inline-block;
        width: 55mm;
        height: 85mm;
        margin: 5mm 2mm 0;

        border: 0.5mm solid black;
        -webkit-border-radius: 5mm;
        -moz-border-radius: 5mm;
        border-radius: 5mm;
    }


    .card > .header-container {
        text-align: center;
        /* 15mm - 1mm */
        height: 14mm;
        margin: 1mm 4mm 0;
    }

    .card > .header-container h1 {
        font-size: 5mm;
        color: #11324f;
        margin: 0;

        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .card > .header-container h1:not(:first-of-type) {
        font-weight: normal;
    }


    .card > .facts-container {
        position: relative;
        /* 55mm - 2 * 2mm */
        height: 51mm;
        padding: 2mm 0;
        background-color: #ebeef3;
    }

    .card > .facts-container .fact {
        font-size: 3mm;
        text-align: center;
    }

    .card > .facts-container .fact div {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .card > .facts-container .fact > .title {
        font-weight: bold;
    }

    .card > .facts-container .qr-code-center-container {
        margin-top: 3mm;

        display: table;
        margin-left: auto;
        margin-right: auto;
    }

    .card > .facts-container .qr-code-center-container > .qr-code-container {
        display: inline-block;
        /* 25mm - 3mm - 2 * 3mm */
        height: 16mm;
        padding: 3mm;
        background-color: white;

        border: 0.5mm solid black;
        -webkit-border-radius: 1mm;
        -moz-border-radius: 1mm;
        border-radius: 1mm;
    }

    .card > .facts-container .qr-code-center-container > .qr-code-container > .qr-code {
        max-width: 100%;
        max-height: 100%;
    }

    .card > .facts-container > .card-number-container {
        position: absolute;
        left: 1mm;
        bottom: 0;
        /* 55mm - 2 * 1mm */
        max-width: 53mm;

        font-size: 3mm;
        color: #343a40;

        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }


    .card > .footer-container {
        text-align: center;
        /* 15mm - 2 * 3mm */
        height: 9mm;
        margin: 3mm;
    }

    .card > .footer-container > .logo {
        max-width: 100%;
        max-height: 100%;
    }


    .license-plate {
        position: relative;
        margin-top: 1mm;
        height: 8mm;
        padding-left: 5mm;
    }

    .license-plate > .license-plate-country {
        color: black;
        text-transform: uppercase;
        text-align: center;
        font-size: 2mm;

        position: absolute;
        left: 0;
        bottom: 0.5mm;
        width: 5mm;
    }

    .license-plate > .license-plate-flag {
        position: absolute;
        left: 1mm;
        top: 1mm;
        width: 3mm;
        height: 3mm;
    }

    .license-plate::before {
        content: '';
        display: block;
        position: absolute;

        top: 0;
        left: 0;
        width: 5mm;
        height: 100%;

        background-color: white;

        border-right: 0.5mm solid black;
        -webkit-border-radius: 1mm 0 0 1mm;
        -moz-border-radius: 1mm 0 0 1mm;
        border-radius: 1mm 0 0 1mm;
    }


    .license-plate-eu {
        position: relative;
        margin-top: 1mm;
        height: 8mm;
        padding-left: 5mm;
    }

    .license-plate-eu > .license-plate-country {
        color: white;
        text-transform: uppercase;
        text-align: center;
        font-size: 2mm;

        position: absolute;
        left: 0;
        bottom: 0.5mm;
        width: 5mm;
    }

    .license-plate-eu::after,
    .license-plate-eu::before {
        content: '';
        display: block;
        position: absolute;
    }

    .license-plate-eu::before {
        top: 0;
        left: 0;
        width: 5mm;
        height: 100%;

        background-color: #2f519f;

        -webkit-border-radius: 1mm 0 0 1mm;
        -moz-border-radius: 1mm 0 0 1mm;
        border-radius: 1mm 0 0 1mm;
    }

    .license-plate-eu::after {
        left: 1mm;
        top: 1mm;
        width: 3mm;
        height: 3mm;

        border: 0.5mm dotted #dbdd32;
        -webkit-border-radius: 50%;
        -moz-border-radius: 50%;
        border-radius: 50%;
    }


    .license-plate-text {
        text-transform: uppercase;
        /* 55mm - 15mm */
        max-width: 40mm;
        height: 4mm;
        font-size: 4mm;
        padding: 2mm;
    }

    .license-plate-border {
        display: inline-block;
        background-color: white;

        border: 0.5mm solid black;
        -webkit-border-radius: 1mm;
        -moz-border-radius: 1mm;
        border-radius: 1mm;
    }

    .license-plate-border::before {
        -webkit-border-radius: 0 !important;
        -moz-border-radius: 0 !important;
        border-radius: 0 !important;
    }


    .main-container {
        margin: 0 15mm 10mm;
    }

    .main-container p {
        margin: 0 0 1mm;

        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }


    .main-container .item-container {
        margin-bottom: 10mm;
    }

    .main-container .item-container label {
        font-weight: bold;
        margin: 0 0 0 2mm;
        color: #11324f;
    }

    .main-container .item-container i {
        color: #11324f;
    }


    .main-container .part-container {
        max-width: 66%;
    }


    .logo-container {
        float: right;
        margin-right: 15mm;
        max-width: 23%;
    }

    .logo-container > .logo {
        max-width: 100%;
        max-height: 100%;
    }
</style>

<body>
    <div class="logo-container">
        <img class="logo" src="{{ image('logo') }}" alt="logo">
    </div>

    <div class="main-container">
        <div class="part-container">
            <div class="item-container">
                <div class="container-text-ellipsis mb-2">
                    <i class="fas fa-fw fa-warehouse"></i>
                    <label>{{ reservation.garage.name }}</label>
                </div>
            </div>

            {% if reservation.customer %}
                <div class="item-container">
                    <div class="container-text-ellipsis mb-2">
                        <i class="fas fa-fw fa-user"></i>
                        <label>{{ reservation.customer.first_name }} {{ reservation.customer.last_name }}</label>
                    </div>
                </div>
            {% endif %}

            <div class="item-container">
                <div class="mb-2">
                    <i class="fas fa-fw fa-calendar-check"></i>
                    <label>Valid from {{ reservation.paid_start|date('DATETIME_FORMAT') }} to {{ reservation.paid_end|date('DATETIME_FORMAT') }}</label>
                </div>
            </div>

            <div class="item-container">
                <div class="mb-2">
                    <i class="fas fa-fw fa-car"></i>
                    <label>Vehicle</label>
                </div>

                <p>License plate:
                    <strong>{{ reservation.license_plate|replace(":", " ") }} ({{ reservation.license_plate_country }})</strong>
                </p>
            </div>
        </div>
    </div>

    <div class="card-container">
        <div class="card">
            <div class="header-container">
                <h1>Replacement card</h1>
                <h1>QR Code</h1>
            </div>

            <div class="facts-container">
                <div class="container">
                    <div class="row mt-2">
                        <div class="col-12 fact">
                            <div class="title">License plate</div>
                            <div class="{% if is_eu_country %}license-plate-eu{% else %}license-plate{% endif %} license-plate-border">
                                {% if not is_eu_country %}
                                    <i class="license-plate-flag flag-icon flag-icon-{{ country_code }}"></i>
                                {% endif %}
                                <div class="license-plate-country">{{ reservation.license_plate_country }}</div>
                                <div class="license-plate-text">{{ reservation.license_plate|replace(":", " ") }}</div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="qr-code-center-container">
                    <div class="qr-code-container">
                        <img class="qr-code" src="{{ qr_src }}" alt="qr_code">
                    </div>
                </div>
            </div>

            <div class="footer-container">
                <img class="logo" src="{{ image('qr code footer image') }}" alt="logo">
            </div>
        </div>
    </div>
</body>
</html>
